Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create chat

Create a new Chat

post

Creates a chat with an icon using multipart form data.

Body
iconstring · binaryOptional
Responses
200

OK

application/json
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional

Gets or sets the description associated with the chat.

typestring · enumOptionalPossible values:
post/public/v1/helpdesk/chats
POST /public/v1/helpdesk/chats HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: multipart/form-data
Accept: */*
Content-Length: 999

{
  "chat": {
    "id": "text",
    "audit": {
      "created": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      },
      "updated": {
        "at": "2026-01-01T00:00:00.000Z",
        "by": {
          "id": "text",
          "name": "text",
          "icon": "text",
          "revision": 1
        }
      }
    },
    "$meta": {
      "omitted": [
        "text"
      ]
    },
    "name": "text",
    "icon": "text",
    "revision": 1,
    "description": "text",
    "type": "Direct",
    "participants": [
      {
        "id": "text",
        "revision": 1,
        "muted": true,
        "status": "Active"
      }
    ],
    "lastMessage": {
      "id": "text",
      "revision": 1,
      "content": "text",
      "visibility": "Public",
      "isDeleted": true
    },
    "attachments": [
      {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "file": {
          "id": "text",
          "audit": {
            "created": {
              "at": "2026-01-01T00:00:00.000Z",
              "by": {
                "id": "text",
                "name": "text",
                "icon": "text",
                "revision": 1
              }
            },
            "updated": {
              "at": "2026-01-01T00:00:00.000Z",
              "by": {
                "id": "text",
                "name": "text",
                "icon": "text",
                "revision": 1
              }
            }
          },
          "$meta": {
            "omitted": [
              "text"
            ]
          },
          "name": "text",
          "icon": "text",
          "revision": 1,
          "type": "Icon",
          "filename": "report.pdf",
          "size": 102400,
          "contentType": "application/pdf"
        }
      }
    ]
  },
  "icon": "binary"
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "icon": "text",
  "revision": 1,
  "description": "text",
  "type": "Direct",
  "participants": [
    {
      "id": "text",
      "revision": 1,
      "muted": true,
      "status": "Active"
    }
  ],
  "lastMessage": {
    "id": "text",
    "revision": 1,
    "content": "text",
    "visibility": "Public",
    "isDeleted": true
  },
  "attachments": [
    {
      "id": "text",
      "name": "text",
      "icon": "text",
      "revision": 1,
      "file": {
        "id": "text",
        "audit": {
          "created": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          },
          "updated": {
            "at": "2026-01-01T00:00:00.000Z",
            "by": {
              "id": "text",
              "name": "text",
              "icon": "text",
              "revision": 1
            }
          }
        },
        "$meta": {
          "omitted": [
            "text"
          ]
        },
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Icon",
        "filename": "report.pdf",
        "size": 102400,
        "contentType": "application/pdf"
      }
    }
  ]
}

Last updated

Was this helpful?